Bug 168847 - Review Request: fig2ps -- Utility for converting xfig pictures to PS/PDF
Review Request: fig2ps -- Utility for converting xfig pictures to PS/PDF
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
David Lawrence
http://sourceforge.net/projects/fig2ps/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-20 13:22 EDT by Quentin Spencer
Modified: 2010-09-08 13:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 14:33:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Quentin Spencer 2005-09-20 13:22:19 EDT
Spec Name or Url: http://webpages.charter.net/qspencer/rpm/fig2ps.spec
SRPM Name or Url: http://webpages.charter.net/qspencer/rpm/fig2ps-1.3.3-1.src.rpm
Description: 
fig2ps is a perl script which converts xfig files to postscript or
PDF, using LaTeX for processing text (a capability not included in
transfig). This provides the benefit of seamless integration of
figures into documents (the font in the figures is the same as in the
text), and allows for special typesetting commands (such as
mathematical equations) to be included in figures.
Comment 1 Ed Hill 2005-09-20 13:43:15 EDT
Hi Quentin, since fig2ps is a perl script I think it should list perl within 
its "Requires:..." section.  I'll do a more thorough review tonight.
Comment 2 Ed Hill 2005-09-20 13:45:52 EDT
Ah, nevermind the above comment!  RPM does indeed find it.  Sorry!
Comment 3 Ed Hill 2005-09-20 19:26:59 EDT
Good:
 + source matches upstream
 + license is not included but the included README does clearly 
     state GPL so I think thats *fine*
 + code not content
 + very simple package

one nit:
 - please use the standard BuildRoot (after CVS import is OK)

APPROVED
Comment 4 Quentin Spencer 2005-09-21 14:33:37 EDT
I fixed the buildroot, as well as one other problem, and a release has been
built in devel, with FC-3 and FC-4 branches requested.
Comment 5 Mark Chappell 2010-09-08 10:38:45 EDT
Package Change Request
======================
Package Name: fig2ps
New Branches: el6
Owners: tremble

Attempted contact with Fedora owner, no response:
https://bugzilla.redhat.com/show_bug.cgi?id=628513
Comment 6 Mark Chappell 2010-09-08 10:59:36 EDT
Sorry should have been el5 and 6:

Package Change Request
======================
Package Name: fig2ps
New Branches: el5 el6
Owners: tremble
Comment 7 Kevin Fenzi 2010-09-08 13:52:22 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.